local mod = ...



-- Building: Clay Pit -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING", 
	Id = "BUILDING_BASIC_CLAYPIT",
	Name = "BUILDING_BASIC_CLAYPIT_NAME",
	Description = "BUILDING_BASIC_CLAYPIT_DESC",
	BuildingType = "RESOURCE_PRODUCTION",
	AssetCoreBuildingPart = "BUILDING_PART_BASIC_CLAYPIT",
	VillagerRequired = { Status = "NEWCOMER", Quantity = 10 },
	IsEditable = true
})



-- Building Part: Clay Pit -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_BASIC_CLAYPIT",
	Name = "BUILDING_PART_BASIC_CLAYPIT_NAME", 
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BASIC_CLAYPIT",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, -15 },
            OrientationOffset = -45.0,
            CameraPitchOffset = 25.0
        },
	},
	BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createCircle( 3, {0, 0}, 10 ),
				Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = false } 
			},
			{ 
				Polygon = polygon.createCircle( 2, {0, 0}, 10 ),
				Type = { DEFAULT = false, NAVIGABLE = true, GRASS_CLEAR = true } 
			}
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_BASIC_CLAYPIT",
	Cost = {
        ResourceNeededList = {
            {
                { Resource = "TOOL", Quantity = 2 },
            },
		}
	}
})



-- Job: Clay Digger -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_BASIC_CLAYPIT",
	JobName = "JOB_BASIC_CLAYPIT_NAME",
	JobDescription = "JOB_BASIC_CLAYPIT_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
	UseWorkplaceBehavior = true,
    ProductionDelay = 30.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
		RightHandObject = {
			DataType = "HAND_OBJECT",
			Model = "PREFAB_TOOL_COAL_BURNER_SHOVEL"
		},
		WalkAnimation = "WALKING",
		IdleAnimation = "GOLDSMELTER_SHOVELING"
	}
})

mod:overrideAsset({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_BASIC_CLAYPIT"
    }
})

mod:overrideAsset({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_BASIC_CLAYPIT"
    }
})



-- -- Resource: Clay -------------------------------------------------------------------------------------
-- mod:registerAssetId("icons/Clay.png", "ICON_CLAY")

-- mod:registerAsset({
-- 	DataType = "RESOURCE",
-- 	Id = "RESOURCE_CLAY",
-- 	ResourceName = "RESOURCE_CLAY_NAME",
-- 	Icon = "ICON_CLAY",
-- 	ResourceTypeList = { "RESOURCE" },
-- 	IsTradable = true,
--     DisplayInInventory = true,
-- 	DisplayInToolbar = false,
-- 	OrderId = 0
-- })



-- Building Function: Clay Pit -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_BASIC_CLAYPIT",
	Name = "BUILDING_FUNCTION_BASIC_CLAYPIT_NAME",
	IsPrivate = false,
    WorkerCapacity = 2,
    RelatedJob = { 
        Job = "JOB_BASIC_CLAYPIT", 
        Behavior = "BEHAVIOR_WORK"
	},
	InputInventoryCapacity = {
	},
    ResourceListNeeded = {
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_CLAY", Quantity = 1 },
	}
})